#!/bin/sh
# test we are root
if [ "$USER" != "root" ] ; then
   echo "Run as root please, exiting." 
   exit 1                                                      
fi

CFLAGS="-march=i486 -mtune=i686 -Os -pipe   " 
CXXFLAGS="-march=i486 -mtune=i686 -Os -pipe -fno-exceptions -fno-rtti  "
echo $CFLAGS && echo $CXXFLAGS

P=fribidi
V=1.0.13
SRC=$P-$V
USER=`cat /etc/sysconfig/tcuser`
LIST="compiletc squashfs-tools wget meson "
for Z in $LIST 
    do 
    su -c "tce-load -i $Z" $USER
done

# list may be larger than loaded
cd /usr/local/lib
rm -rf *.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcp1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/plugin/libcc1plugin.la
rm -rf gcc/i486-pc-linux-gnu/12.2.0/liblto_plugin.la
cd /tmp
rm -rf /usr/lib/*.la
find / -name *.la

su -c "/usr/local/bin/wget -nc \
https://github.com/$P/$P/releases/download/v$V/$SRC.tar.xz " $USER
tar -xvf $SRC*xz
cd $SRC
mkdir build && cd build
meson setup --prefix=/usr/local --localstatedir=/var -Dstrip=true -Ddocs=false 

# localstatedir: /var
# prefix       : /usr/local
# strip        : true
# docs         : false
ninja # 5 sec
DESTDIR=/tmp/$P ninja install
cd /tmp

# dev
#####
mkdir -p $P-dev/usr/local/lib
mv $P/usr/local/include $P-dev/usr/local/
mv $P/usr/local/lib/pkgconfig $P-dev/usr/local/lib

# main 
#####
mkdir -p $P/usr/local/share/doc/$P
echo 'LGPL v2.1' > $P/usr/local/share/doc/$P/COPYING

# TCZ them
#######
LIST="$P $P-dev "
for Z in $LIST
do
	mksquashfs $Z $Z.tcz
	md5sum $Z.tcz > $Z.tcz.md5.txt
	cd $Z
	find usr -not -type d > /tmp/$Z.tcz.list
        sed 's|usr|/usr|g' -i /tmp/$Z.tcz.list
	cd /tmp
done

ls -hal

echo 'Title:          fribidi-dev.tcz
Description:    dev files
Version:        1.0.13
Author:         Behdad Esfahbod, Dov Grobgeld, Roozbeh Pournader & Khaled Hosny
Original-site:  https://github.com/fribidi/fribidi/
Copying-policy: LGPL v 2.1
Size:           32K
Extension_by:   aus9
Tags:           unicode bidirectional Algorithm
Comments:       dev files

Change-log:     2009/04/28 v 0.10.9 (Curaga)
                2013/09/17 v 0.19.5 (juanito)
                2020/02/22 v 1.0.8 
                2022/02/24 v 1.0.11 
Current:        2023/08/19 v 1.0.13 on 14.x (aus9)  '  > $P-dev.tcz.info
echo 'fribidi.tcz   ' > $P-dev.tcz.dep

echo 'Title:          fribidi.tcz
Description:    Free implementation of Unicode Bidirectional Algorithm
Version:        1.0.13
Author:         Behdad Esfahbod, Dov Grobgeld, Roozbeh Pournader & Khaled Hosny
Original-site:  https://github.com/fribidi/fribidi
Copying-policy: LGPL v 2.1
Size:           36KB
Extension_by:   aus9 
Tags:           unicode bidirectional Algorithm
Comments:       Fribidi provides support for right-to-left text, such as
                arabic and hebrew.
		
Change-log:     2009/04/28 v 0.10.9 (Curaga)
                2013/09/17 v 0.19.5 (juanito)
                2020/02/22 v 1.0.8 
                2022/02/24 v 1.0.11 
Current:        2023/08/19 v 1.0.13 on 14.x (aus9) '  > $P.tcz.info

readelf -d $P/usr/local/lib/* | grep 'NEEDED' # none
readelf -d $P/usr/local/bin/* | grep 'NEEDED' # none
# [libfribidi.so.0] this TCE
 
# no dep 
